## UDisksUtabMonitor

UDisksUtabMonitor — Monitors entries in the utab file

## Functions

const gchar * | udisks_utab_entry_get_source ()
const gchar * const * | udisks_utab_entry_get_opts ()
UDisksUtabMonitor * | udisks_utab_monitor_new ()
GSList * | udisks_utab_monitor_get_entries ()

## Types and Values

| UDisksUtabEntry
| UDisksUtabMonitor

## Description

This type is used for monitoring entries in the `/run/mounts/utab` file.

## Functions

### udisks_utab_entry_get_source ()

    const gchar *
    udisks_utab_entry_get_source (UDisksUtabEntry *entry);

Gets the source field of `entry` .

#### Parameters

entry | A UDisksUtabEntry. |

#### Returns

The source field.

### udisks_utab_entry_get_opts ()

    const gchar * const *
    udisks_utab_entry_get_opts (UDisksUtabEntry *entry);

Gets the opts field of `entry` .

#### Parameters

entry | A UDisksUtabEntry. |

#### Returns

The opts field.

### udisks_utab_monitor_new ()

    UDisksUtabMonitor *
    udisks_utab_monitor_new (void);

Creates a new UDisksUtabMonitor object.

Signals are emitted in the thread-default main loop that this function is called from.

#### Returns

A UDisksUtabMonitor. Free with `g_object_unref()`.

### udisks_utab_monitor_get_entries ()

    GSList *
    udisks_utab_monitor_get_entries (UDisksUtabMonitor *monitor);

Gets all /run/mounts/utab entries

#### Parameters

monitor | A UDisksUtabMonitor. |

#### Returns

A list of UDisksUtabEntry objects that must be freed with `g_slist_free()` after each element has been freed with `g_object_unref()`.

[transfer full][element-type UDisksUtabEntry]

## Types and Values

### UDisksUtabEntry

    typedef struct _UDisksUtabEntry UDisksUtabEntry;

The UDisksUtabEntry structure contains only private data and should only be accessed using the provided API.

### UDisksUtabMonitor

    typedef struct _UDisksUtabMonitor UDisksUtabMonitor;

The UDisksUtabMonitor structure contains only private data and should only be accessed using the provided API.